Bug 1927391 - Fix flake in TestSyncPodsDeletesWhenSourcesAreReady
Summary: Fix flake in TestSyncPodsDeletesWhenSourcesAreReady
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.8.0
Assignee: Ryan Phillips
QA Contact: Sunil Choudhary
URL:
Whiteboard:
Depends On:
Blocks: 1927717
TreeView+ depends on / blocked
 
Reported: 2021-02-10 16:18 UTC by Ryan Phillips
Modified: 2021-07-27 22:44 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 22:43:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift kubernetes pull 564 0 None open Bug 1927391: UPSTREAM: 98939: fixes race in TestSyncPodsDeletesWhenSourcesAreReady 2021-02-10 16:20:17 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:44:17 UTC

Description Ryan Phillips 2021-02-10 16:18:49 UTC
Description of problem:
Backport https://github.com/kubernetes/kubernetes/pull/98938

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Sunil Choudhary 2021-03-02 07:54:23 UTC
I do not see any recent failures in master CI branch. Last failures were 11 days ago.
https://search.ci.openshift.org/?search=TestSyncPodsDeletesWhenSourcesAreReadyPerQOS&maxAge=336h&context=1&type=junit&name=&maxMatches=5&maxBytes=20971520&groupBy=job

Comment 5 errata-xmlrpc 2021-07-27 22:43:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.